﻿namespace EonaCat.HID
{
    public class StateAsync
    {
        private readonly object _callerDelegate;
        private readonly object _callbackDelegate;

        public StateAsync(object callerDelegate, object callbackDelegate)
        {
            _callerDelegate = callerDelegate;
            _callbackDelegate = callbackDelegate;
        }

        public object CallerDelegate { get { return _callerDelegate; } }
        public object CallbackDelegate { get { return _callbackDelegate; } }
    }
}
